@charset "utf-8";
/* CSS Document */

/*　ハンバーガーボタン　*/
/*ボタンのスタイル*/
.Toggle {
position: fixed;
right:15px;
top: 10px;
width: 45px;
height: 45px;
cursor: pointer;
z-index: 113;
display: block;
}

.Toggle::after {
  position: absolute;
  top: 150%;
  left: 70%;
  display: block;
  width: 45px;
  height: 45px;
  margin: -30px 0px 0px -24px;
  color: #fff;
  content: "menu";
  font-size: 80%;
  font-weight: bold;
}

/*.Toggle.active::after {
  color: #ffffff;
}
*/
.Toggle span {
display: block;
position: absolute;
width: 35px;
border-bottom: solid 4px #fff;
-webkit-transition: .35s ease-in-out;
-moz-transition: .35s ease-in-out;
transition: .35s ease-in-out;
left: 6px;
}

.Toggle span:nth-child(1) {
top: 9px;
}

.Toggle span:nth-child(2) {
top: 20px;
}

.Toggle span:nth-child(3) {
top: 31px;
}

.Toggle.active span:nth-child(1) {
top: 18px;
left: 6px;
-webkit-transform: rotate(-45deg);
-moz-transform: rotate(-45deg);
transform: rotate(-45deg);
border-bottom: solid 3px #fff;
}
.Toggle.active span:nth-child(2),
.Toggle.active span:nth-child(3) {
top: 18px;
-webkit-transform: rotate(45deg);
-moz-transform: rotate(45deg);
transform: rotate(45deg);
border-bottom: solid 3px #fff;
}

@media screen and (min-width:1120px) {
.Toggle.active span:nth-child(1),
.Toggle.active span:nth-child(2),
.Toggle.active span:nth-child(3) {
top: 220px;
left: -150px;
width: 120px;
border-bottom: solid 20px #fff;
}
    
.Toggle::after {
  color: #000;
}

.Toggle span {
border-bottom: solid 4px #000;
}
  

}




/*トグル（ハンバーガー）メニュー内*/

nav.NavMenu{
position: fixed;
z-index: 110;
top: 0;
left: 0;
background: rgba(0,0,0,1);
text-align: center;
width: 100%;
display: none;
overflow: scroll;

    
    height:100vh;   /* スクロール用高さの追加     */
    overflow-y: scroll;   /* スクロールを追加     */
    -webkit-overflow-scrolling: touch;   /* 慣性スクロールを追加滑らかに     */
}

nav.NavMenu.active_haikei_kotei {
  left: 0;
}

nav.NavMenu ul{
width: 100%;
margin: 0px auto;
padding: 0;
position: absolute;
top: 50%;
left: 50%;
transform: translateY(-50%) translateX(-50%);
}

nav.NavMenu ul li{
font-size: 24px;
list-style-type: none;
width: 100%;
padding: 0px;
border-top: 1px solid #fff;
}

nav.NavMenu ul li:first-child {
margin: 20px auto 0;
}


nav.NavMenu ul li:last-child{
padding-bottom: 0;
border-bottom: 0px solid #fff;
margin-bottom: 40px;
}

nav.NavMenu ul li a{
display: block;
color: #fff;
padding: 10px 0;
font-weight: bold;
font-size: 18px;
text-decoration: none;
}


nav.NavMenu ul li span {
    display: block;
    text-align: center;
    font-weight: bold;
}

nav.NavMenu ul li span.jp {
    font-size: 18px;
    color: #fff;
}


nav.NavMenu ul li span.en {
    font-size: 12px;
    color: #fff;
}

nav.NavMenu ul li.nav_info{
background-color: #ffffff;
list-style-type: none;
width: 100%;
margin: 0px auto;
padding: 0px;
border-top: 10px solid #ffffff;
}

nav.NavMenu ul li.nav_info img{
max-width: 600px;
}



    
